<?php

namespace Drp\Analytics\Facades;

use Drp\Analytics\Foundation\AnalyticReference;
use Drp\Analytics\Foundation\AnalyticsManager;
use Illuminate\Support\Facades\Facade;

/**
 * @method store(AnalyticReference $reference, ?array $payload = []): void
 *
 * @see \Drp\Analytics\Foundation\AnalyticsManager
 */
class Analytics extends Facade
{
    protected static function getFacadeAccessor(): string
    {
        return AnalyticsManager::class;
    }
}
